CustomFeatureModifyFeatureGeometryEvent Class

class NXOpen.Features.CustomFeatureModifyFeatureGeometryEvent

Bases: NXOpen.Features.CustomFeatureEvent

JA interface for the CustomFeatureModifyFeatureGeometryEvent object

This calls cannot be created

New in version NX11.0.0.

Properties

Property Description
ErrorCode Returns or sets the error occured during the event
Tag Returns the Tag for this object.

Methods

Method Description
AppendOutputTrackingData Add the tracking data for feature
CreateTrackingDataForNXObject Create the tracking data of the given NX object @return
GetConstructionFeatures The custom feature get construction features @return Output array of NXOpen Features
GetCreatedBodies A method to get parasolid bodies created custom feature in create geometry callback @return The Array of output Bodies
GetCustomFeature Get the custom feature of the event @return The owning Custom Feature of feature that caused the event to fire
GetNXObject Get the Parasolid tag of Solid body @return
GetOutputFeatures The output features created in post update event @return Output array of NXOpen Features
GetParasolidId Get the Parasolid tag of Solid body @return
Getbodies A method to get parasolid bodies of custom feature @return The Array of output Bodies

Method Detail

AppendOutputTrackingData

CustomFeatureModifyFeatureGeometryEvent.AppendOutputTrackingData

Add the tracking data for feature

Signature AppendOutputTrackingData(trackingData)

Parameters:trackingData (list of NXOpen.Features.TrackingData) –

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateTrackingDataForNXObject

CustomFeatureModifyFeatureGeometryEvent.CreateTrackingDataForNXObject

Create the tracking data of the given NX object

Signature CreateTrackingDataForNXObject(nxObject)

Parameters:nxObject (NXOpen.TaggedObject) – The NX object for which create traking data
Returns:
Return type:NXOpen.Features.TrackingData

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetCreatedBodies

CustomFeatureModifyFeatureGeometryEvent.GetCreatedBodies

A method to get parasolid bodies created custom feature in create geometry callback

Signature GetCreatedBodies()

Returns:The Array of output Bodies
Return type:list of int

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Getbodies

CustomFeatureModifyFeatureGeometryEvent.Getbodies

A method to get parasolid bodies of custom feature

Signature Getbodies()

Returns:The Array of output Bodies
Return type:list of int

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)